# Update execution

Modify an individual execution by adding audit data.

Endpoint: POST /iacm/api/orgs/{org}/projects/{project}/executions/{pipeline_execution_id}/{pipeline_stage_id}/audit-event
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Org is the organisation identifier.
    Example: "c"

  - `project` (string, required)
    Project is the project identifier.
    Example: "e4"

  - `pipeline_execution_id` (string, required)
    Pipeline execution ID
    Example: "u8"

  - `pipeline_stage_id` (string, required)
    Pipeline execution stage ID
    Example: "giq"

## Header parameters:

  - `Harness-Account` (string, required)
    Account is the internal customer account ID.
    Example: "uxp"

## Request fields (application/json):

  - `audit` (object)
    Example: {"git_audit_data":{"hash":"k","name":"Nostrum provident aliquam.","repo_url":"4yu","type":"branch, tag"}}

  - `audit.git_audit_data` (object)
    Example: {"hash":"28s","name":"Dolores culpa placeat libero facilis et.","repo_url":"ys6","type":"branch, tag"}

  - `audit.git_audit_data.hash` (string, required)
    Hash of the git branch used
    Example: "28s"

  - `audit.git_audit_data.name` (string)
    The name of the branch or tag used
    Example: "Dolores culpa placeat libero facilis et."

  - `audit.git_audit_data.repo_url` (string, required)
    Url of the repo used
    Example: "ys6"

  - `audit.git_audit_data.type` (string)
    Type of fetch used to get the data
    Enum: "branch", "tag"

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?

  - `timeout` (boolean, required)
    Is the error a timeout?
    Example: true


## Response 200 fields
